apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  creationTimestamp: null
  labels:
    machine.openshift.io/cluster-api-cluster: padillon-azmkt11-fh5sz
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
  name: padillon-azmkt11-fh5sz-worker-rhcos1-centralus3
  namespace: openshift-machine-api
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: padillon-azmkt11-fh5sz
      machine.openshift.io/cluster-api-machineset: padillon-azmkt11-fh5sz-worker-rhcos1-centralus3
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: padillon-azmkt11-fh5sz
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: padillon-azmkt11-fh5sz-worker-rhcos1-centralus3
    spec:
      metadata: {}
      providerSpec:
        value:
          apiVersion: azureproviderconfig.openshift.io/v1beta1
          credentialsSecret:
            name: azure-cloud-credentials
            namespace: openshift-machine-api
          image:
            offer: ocp-rhcos-worker
            publisher: redhat-rhel
            resourceID: ""
            sku: ocp-4-free-gen1
            version: 4.9.2021111600
            purchasePlanName: ocp-4-free-gen1
          kind: AzureMachineProviderSpec
          location: centralus
          metadata:
            creationTimestamp: null
          networkResourceGroup: padillon-azmkt11-fh5sz-rg
          osDisk:
            diskSizeGB: 128
            managedDisk:
              storageAccountType: Premium_LRS
            osType: Linux
          publicIP: false
          publicLoadBalancer: padillon-azmkt11-fh5sz
          resourceGroup: padillon-azmkt11-fh5sz-rg
          subnet: padillon-azmkt11-fh5sz-worker-subnet
          userDataSecret:
            name: worker-user-data
          vmSize: Standard_D4s_v3
          vnet: padillon-azmkt11-fh5sz-vnet
          zone: "3"
status:
  replicas: 0
